For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all policy import intents
      • POSTCreate a new policy import intent
      • GETRetrieve a policy import intent
    • API Errors
Get access
LogoLogo
API ReferencePolicy Import Intents

Retrieve a policy import intent

GET
/policy_import_intents/:policy_import_intent_id
GET
/policy_import_intents/:policy_import_intent_id
$curl https://test.api.kota.io/policy_import_intents/pii_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "pii_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "status": "processing",
4 "employee_id": "ee_7f9c2d87a1b24f3e9c8d7a6f0b1e2c3d",
5 "group_id": "gr_4a5b6c7d8e9f0123456789abcdef0123",
6 "provider_policy_number": "PN-45879234",
7 "member_number": "MBR-982374",
8 "policy_start_date": "2024-12-01",
9 "associated_persons": [
10 {
11 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
12 "associated_person_id": "ap_9f8e7d6c5b4a3210fedcba9876543210",
13 "member_number": "MBR-982375",
14 "start_date": "2024-12-01",
15 "end_date": "2025-12-01"
16 }
17 ],
18 "object": "policy_import_intent",
19 "policy_end_date": "2025-12-01"
20}

Retrieves a policy_import_intent object.

Previous

Create a new policy import intent

Next

List all providers

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

policy_import_intent_idstringRequiredformat: "pii_.+"

Response

OK
idstringformat: "pii_.+"

Unique identifier for the policy import intent. Prefixed with pii_.

statusenum
Current status of the policy import intent.
Allowed values:
employee_idstringformat: "ee_.+"

The employee ID for the policy import. Prefixed with ee_.

group_idstringformat: "gr_.+"

The group ID for the policy import. Prefixed with g_.

provider_policy_numberstring
The provider's policy number.
member_numberstring
The member number assigned by the provider.
policy_start_datedate
The start date of the policy.
associated_personslist of objects
List of associated persons linked to this policy import.
objectstringRead-only
Object type identifier.
policy_end_datedate or null
The end date of the policy. Null if the policy has no end date, or end date is not known.

Errors

404
Not Found Error